Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HiveSlaveConsole.designer.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HiveSlaveConsole.designer.cs	(revision 4987)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HiveSlaveConsole.designer.cs	(revision 5000)
@@ -53,8 +53,4 @@
       this.gbServerConnection = new System.Windows.Forms.GroupBox();
       this.btn_clientShutdown = new System.Windows.Forms.Button();
-      this.btnDisconnect = new System.Windows.Forms.Button();
-      this.btConnect = new System.Windows.Forms.Button();
-      this.tbIPAdress = new System.Windows.Forms.TextBox();
-      this.lbServerIPCaption = new System.Windows.Forms.Label();
       this.gbJobCommon = new System.Windows.Forms.GroupBox();
       this.lvJobDetail = new System.Windows.Forms.ListView();
@@ -168,8 +164,4 @@
       // 
       this.gbServerConnection.Controls.Add(this.btn_clientShutdown);
-      this.gbServerConnection.Controls.Add(this.btnDisconnect);
-      this.gbServerConnection.Controls.Add(this.btConnect);
-      this.gbServerConnection.Controls.Add(this.tbIPAdress);
-      this.gbServerConnection.Controls.Add(this.lbServerIPCaption);
       this.gbServerConnection.Location = new System.Drawing.Point(346, 6);
       this.gbServerConnection.Name = "gbServerConnection";
@@ -188,41 +180,5 @@
       this.btn_clientShutdown.UseVisualStyleBackColor = true;
       this.btn_clientShutdown.Click += new System.EventHandler(this.btn_slaveShutdown_Click);
-      // 
-      // btnDisconnect
-      // 
-      this.btnDisconnect.Image = global::HeuristicLab.Hive.Slave.Console.Properties.Resources.Disaster_warning_48;
-      this.btnDisconnect.Location = new System.Drawing.Point(79, 101);
-      this.btnDisconnect.Name = "btnDisconnect";
-      this.btnDisconnect.Size = new System.Drawing.Size(57, 57);
-      this.btnDisconnect.TabIndex = 5;
-      this.btnDisconnect.UseVisualStyleBackColor = true;
-      this.btnDisconnect.Click += new System.EventHandler(this.btnDisconnect_Click);
-      // 
-      // btConnect
-      // 
-      this.btConnect.Image = global::HeuristicLab.Hive.Slave.Console.Properties.Resources.Global_network_48;
-      this.btConnect.Location = new System.Drawing.Point(14, 101);
-      this.btConnect.Name = "btConnect";
-      this.btConnect.Size = new System.Drawing.Size(57, 57);
-      this.btConnect.TabIndex = 4;
-      this.btConnect.UseVisualStyleBackColor = true;
-      this.btConnect.Click += new System.EventHandler(this.btConnect_Click);
-      // 
-      // tbIPAdress
-      // 
-      this.tbIPAdress.Location = new System.Drawing.Point(74, 25);
-      this.tbIPAdress.Name = "tbIPAdress";
-      this.tbIPAdress.Size = new System.Drawing.Size(93, 20);
-      this.tbIPAdress.TabIndex = 2;
-      this.tbIPAdress.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.Connection_KeyPress);
-      // 
-      // lbServerIPCaption
-      // 
-      this.lbServerIPCaption.AutoSize = true;
-      this.lbServerIPCaption.Location = new System.Drawing.Point(17, 28);
-      this.lbServerIPCaption.Name = "lbServerIPCaption";
-      this.lbServerIPCaption.Size = new System.Drawing.Size(60, 13);
-      this.lbServerIPCaption.TabIndex = 0;
-      this.lbServerIPCaption.Text = "IP address:";
+
       // 
       // gbJobCommon
@@ -663,8 +619,4 @@
     private System.Windows.Forms.GroupBox gbServerConnection;
     private System.Windows.Forms.Button btn_clientShutdown;
-    private System.Windows.Forms.Button btnDisconnect;
-    private System.Windows.Forms.Button btConnect;
-    private System.Windows.Forms.TextBox tbIPAdress;
-    private System.Windows.Forms.Label lbServerIPCaption;
     private System.Windows.Forms.GroupBox groupBox1;
     private System.Windows.Forms.Button btCreate;
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/HeuristicLab.Hive.Slave.Core.SlaveConsoleService.xsd
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/HeuristicLab.Hive.Slave.Core.SlaveConsoleService.xsd	(revision 4987)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/HeuristicLab.Hive.Slave.Core.SlaveConsoleService.xsd	(revision 5000)
@@ -31,9 +31,3 @@
   </xs:complexType>
   <xs:element name="JobStatus" nillable="true" type="tns:JobStatus" />
-  <xs:complexType name="ConnectionContainer">
-    <xs:sequence>
-      <xs:element minOccurs="0" name="IPAdress" nillable="true" type="xs:string" />
-    </xs:sequence>
-  </xs:complexType>
-  <xs:element name="ConnectionContainer" nillable="true" type="tns:ConnectionContainer" />
 </xs:schema>
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/Reference.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/Reference.cs	(revision 4987)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/Reference.cs	(revision 5000)
@@ -280,50 +280,4 @@
     }
     
-    [System.Diagnostics.DebuggerStepThroughAttribute()]
-    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
-    [System.Runtime.Serialization.DataContractAttribute(Name="ConnectionContainer", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Slave.Core.SlaveConsole" +
-        "Service")]
-    [System.SerializableAttribute()]
-    public partial class ConnectionContainer : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
-        
-        [System.NonSerializedAttribute()]
-        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
-        
-        [System.Runtime.Serialization.OptionalFieldAttribute()]
-        private string IPAdressField;
-        
-        [global::System.ComponentModel.BrowsableAttribute(false)]
-        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
-            get {
-                return this.extensionDataField;
-            }
-            set {
-                this.extensionDataField = value;
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public string IPAdress {
-            get {
-                return this.IPAdressField;
-            }
-            set {
-                if ((object.ReferenceEquals(this.IPAdressField, value) != true)) {
-                    this.IPAdressField = value;
-                    this.RaisePropertyChanged("IPAdress");
-                }
-            }
-        }
-        
-        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
-        
-        protected void RaisePropertyChanged(string propertyName) {
-            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
-            if ((propertyChanged != null)) {
-                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
-            }
-        }
-    }
-    
     [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
     [System.ServiceModel.ServiceContractAttribute(ConfigurationName="SlaveConsoleService.ISlaveConsoleCommunicator")]
@@ -338,20 +292,4 @@
         HeuristicLab.Hive.Slave.Console.SlaveConsoleService.StatusCommons EndGetStatusInfos(System.IAsyncResult result);
         
-        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISlaveConsoleCommunicator/SetConnection", ReplyAction="http://tempuri.org/ISlaveConsoleCommunicator/SetConnectionResponse")]
-        void SetConnection(HeuristicLab.Hive.Slave.Console.SlaveConsoleService.ConnectionContainer container);
-        
-        [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://tempuri.org/ISlaveConsoleCommunicator/SetConnection", ReplyAction="http://tempuri.org/ISlaveConsoleCommunicator/SetConnectionResponse")]
-        System.IAsyncResult BeginSetConnection(HeuristicLab.Hive.Slave.Console.SlaveConsoleService.ConnectionContainer container, System.AsyncCallback callback, object asyncState);
-        
-        void EndSetConnection(System.IAsyncResult result);
-        
-        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISlaveConsoleCommunicator/GetCurrentConnection", ReplyAction="http://tempuri.org/ISlaveConsoleCommunicator/GetCurrentConnectionResponse")]
-        HeuristicLab.Hive.Slave.Console.SlaveConsoleService.ConnectionContainer GetCurrentConnection();
-        
-        [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://tempuri.org/ISlaveConsoleCommunicator/GetCurrentConnection", ReplyAction="http://tempuri.org/ISlaveConsoleCommunicator/GetCurrentConnectionResponse")]
-        System.IAsyncResult BeginGetCurrentConnection(System.AsyncCallback callback, object asyncState);
-        
-        HeuristicLab.Hive.Slave.Console.SlaveConsoleService.ConnectionContainer EndGetCurrentConnection(System.IAsyncResult result);
-        
         [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ISlaveConsoleCommunicator/ShutdownClient", ReplyAction="http://tempuri.org/ISlaveConsoleCommunicator/ShutdownClientResponse")]
         void ShutdownClient();
@@ -412,23 +350,4 @@
     [System.Diagnostics.DebuggerStepThroughAttribute()]
     [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
-    public partial class GetCurrentConnectionCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
-        
-        private object[] results;
-        
-        public GetCurrentConnectionCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
-                base(exception, cancelled, userState) {
-            this.results = results;
-        }
-        
-        public HeuristicLab.Hive.Slave.Console.SlaveConsoleService.ConnectionContainer Result {
-            get {
-                base.RaiseExceptionIfNecessary();
-                return ((HeuristicLab.Hive.Slave.Console.SlaveConsoleService.ConnectionContainer)(this.results[0]));
-            }
-        }
-    }
-    
-    [System.Diagnostics.DebuggerStepThroughAttribute()]
-    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
     public partial class GetUptimeCalendarCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
         
@@ -477,16 +396,4 @@
         private System.Threading.SendOrPostCallback onGetStatusInfosCompletedDelegate;
         
-        private BeginOperationDelegate onBeginSetConnectionDelegate;
-        
-        private EndOperationDelegate onEndSetConnectionDelegate;
-        
-        private System.Threading.SendOrPostCallback onSetConnectionCompletedDelegate;
-        
-        private BeginOperationDelegate onBeginGetCurrentConnectionDelegate;
-        
-        private EndOperationDelegate onEndGetCurrentConnectionDelegate;
-        
-        private System.Threading.SendOrPostCallback onGetCurrentConnectionCompletedDelegate;
-        
         private BeginOperationDelegate onBeginShutdownClientDelegate;
         
@@ -533,8 +440,4 @@
         
         public event System.EventHandler<GetStatusInfosCompletedEventArgs> GetStatusInfosCompleted;
-        
-        public event System.EventHandler<System.ComponentModel.AsyncCompletedEventArgs> SetConnectionCompleted;
-        
-        public event System.EventHandler<GetCurrentConnectionCompletedEventArgs> GetCurrentConnectionCompleted;
         
         public event System.EventHandler<System.ComponentModel.AsyncCompletedEventArgs> ShutdownClientCompleted;
@@ -594,101 +497,4 @@
         }
         
-        public void SetConnection(HeuristicLab.Hive.Slave.Console.SlaveConsoleService.ConnectionContainer container) {
-            base.Channel.SetConnection(container);
-        }
-        
-        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public System.IAsyncResult BeginSetConnection(HeuristicLab.Hive.Slave.Console.SlaveConsoleService.ConnectionContainer container, System.AsyncCallback callback, object asyncState) {
-            return base.Channel.BeginSetConnection(container, callback, asyncState);
-        }
-        
-        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public void EndSetConnection(System.IAsyncResult result) {
-            base.Channel.EndSetConnection(result);
-        }
-        
-        private System.IAsyncResult OnBeginSetConnection(object[] inValues, System.AsyncCallback callback, object asyncState) {
-            HeuristicLab.Hive.Slave.Console.SlaveConsoleService.ConnectionContainer container = ((HeuristicLab.Hive.Slave.Console.SlaveConsoleService.ConnectionContainer)(inValues[0]));
-            return this.BeginSetConnection(container, callback, asyncState);
-        }
-        
-        private object[] OnEndSetConnection(System.IAsyncResult result) {
-            this.EndSetConnection(result);
-            return null;
-        }
-        
-        private void OnSetConnectionCompleted(object state) {
-            if ((this.SetConnectionCompleted != null)) {
-                InvokeAsyncCompletedEventArgs e = ((InvokeAsyncCompletedEventArgs)(state));
-                this.SetConnectionCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(e.Error, e.Cancelled, e.UserState));
-            }
-        }
-        
-        public void SetConnectionAsync(HeuristicLab.Hive.Slave.Console.SlaveConsoleService.ConnectionContainer container) {
-            this.SetConnectionAsync(container, null);
-        }
-        
-        public void SetConnectionAsync(HeuristicLab.Hive.Slave.Console.SlaveConsoleService.ConnectionContainer container, object userState) {
-            if ((this.onBeginSetConnectionDelegate == null)) {
-                this.onBeginSetConnectionDelegate = new BeginOperationDelegate(this.OnBeginSetConnection);
-            }
-            if ((this.onEndSetConnectionDelegate == null)) {
-                this.onEndSetConnectionDelegate = new EndOperationDelegate(this.OnEndSetConnection);
-            }
-            if ((this.onSetConnectionCompletedDelegate == null)) {
-                this.onSetConnectionCompletedDelegate = new System.Threading.SendOrPostCallback(this.OnSetConnectionCompleted);
-            }
-            base.InvokeAsync(this.onBeginSetConnectionDelegate, new object[] {
-                        container}, this.onEndSetConnectionDelegate, this.onSetConnectionCompletedDelegate, userState);
-        }
-        
-        public HeuristicLab.Hive.Slave.Console.SlaveConsoleService.ConnectionContainer GetCurrentConnection() {
-            return base.Channel.GetCurrentConnection();
-        }
-        
-        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public System.IAsyncResult BeginGetCurrentConnection(System.AsyncCallback callback, object asyncState) {
-            return base.Channel.BeginGetCurrentConnection(callback, asyncState);
-        }
-        
-        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public HeuristicLab.Hive.Slave.Console.SlaveConsoleService.ConnectionContainer EndGetCurrentConnection(System.IAsyncResult result) {
-            return base.Channel.EndGetCurrentConnection(result);
-        }
-        
-        private System.IAsyncResult OnBeginGetCurrentConnection(object[] inValues, System.AsyncCallback callback, object asyncState) {
-            return this.BeginGetCurrentConnection(callback, asyncState);
-        }
-        
-        private object[] OnEndGetCurrentConnection(System.IAsyncResult result) {
-            HeuristicLab.Hive.Slave.Console.SlaveConsoleService.ConnectionContainer retVal = this.EndGetCurrentConnection(result);
-            return new object[] {
-                    retVal};
-        }
-        
-        private void OnGetCurrentConnectionCompleted(object state) {
-            if ((this.GetCurrentConnectionCompleted != null)) {
-                InvokeAsyncCompletedEventArgs e = ((InvokeAsyncCompletedEventArgs)(state));
-                this.GetCurrentConnectionCompleted(this, new GetCurrentConnectionCompletedEventArgs(e.Results, e.Error, e.Cancelled, e.UserState));
-            }
-        }
-        
-        public void GetCurrentConnectionAsync() {
-            this.GetCurrentConnectionAsync(null);
-        }
-        
-        public void GetCurrentConnectionAsync(object userState) {
-            if ((this.onBeginGetCurrentConnectionDelegate == null)) {
-                this.onBeginGetCurrentConnectionDelegate = new BeginOperationDelegate(this.OnBeginGetCurrentConnection);
-            }
-            if ((this.onEndGetCurrentConnectionDelegate == null)) {
-                this.onEndGetCurrentConnectionDelegate = new EndOperationDelegate(this.OnEndGetCurrentConnection);
-            }
-            if ((this.onGetCurrentConnectionCompletedDelegate == null)) {
-                this.onGetCurrentConnectionCompletedDelegate = new System.Threading.SendOrPostCallback(this.OnGetCurrentConnectionCompleted);
-            }
-            base.InvokeAsync(this.onBeginGetCurrentConnectionDelegate, null, this.onEndGetCurrentConnectionDelegate, this.onGetCurrentConnectionCompletedDelegate, userState);
-        }
-        
         public void ShutdownClient() {
             base.Channel.ShutdownClient();
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/service.wsdl
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/service.wsdl	(revision 4987)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/service.wsdl	(revision 5000)
@@ -27,16 +27,4 @@
   <wsdl:message name="ISlaveConsoleCommunicator_GetStatusInfos_OutputMessage">
     <wsdl:part name="parameters" element="tns:GetStatusInfosResponse" />
-  </wsdl:message>
-  <wsdl:message name="ISlaveConsoleCommunicator_SetConnection_InputMessage">
-    <wsdl:part name="parameters" element="tns:SetConnection" />
-  </wsdl:message>
-  <wsdl:message name="ISlaveConsoleCommunicator_SetConnection_OutputMessage">
-    <wsdl:part name="parameters" element="tns:SetConnectionResponse" />
-  </wsdl:message>
-  <wsdl:message name="ISlaveConsoleCommunicator_GetCurrentConnection_InputMessage">
-    <wsdl:part name="parameters" element="tns:GetCurrentConnection" />
-  </wsdl:message>
-  <wsdl:message name="ISlaveConsoleCommunicator_GetCurrentConnection_OutputMessage">
-    <wsdl:part name="parameters" element="tns:GetCurrentConnectionResponse" />
   </wsdl:message>
   <wsdl:message name="ISlaveConsoleCommunicator_ShutdownClient_InputMessage">
@@ -69,12 +57,4 @@
       <wsdl:output wsaw:Action="http://tempuri.org/ISlaveConsoleCommunicator/GetStatusInfosResponse" message="tns:ISlaveConsoleCommunicator_GetStatusInfos_OutputMessage" />
     </wsdl:operation>
-    <wsdl:operation name="SetConnection">
-      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveConsoleCommunicator/SetConnection" message="tns:ISlaveConsoleCommunicator_SetConnection_InputMessage" />
-      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveConsoleCommunicator/SetConnectionResponse" message="tns:ISlaveConsoleCommunicator_SetConnection_OutputMessage" />
-    </wsdl:operation>
-    <wsdl:operation name="GetCurrentConnection">
-      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveConsoleCommunicator/GetCurrentConnection" message="tns:ISlaveConsoleCommunicator_GetCurrentConnection_InputMessage" />
-      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveConsoleCommunicator/GetCurrentConnectionResponse" message="tns:ISlaveConsoleCommunicator_GetCurrentConnection_OutputMessage" />
-    </wsdl:operation>
     <wsdl:operation name="ShutdownClient">
       <wsdl:input wsaw:Action="http://tempuri.org/ISlaveConsoleCommunicator/ShutdownClient" message="tns:ISlaveConsoleCommunicator_ShutdownClient_InputMessage" />
@@ -100,22 +80,4 @@
     <wsdl:operation name="GetStatusInfos">
       <soap12:operation soapAction="http://tempuri.org/ISlaveConsoleCommunicator/GetStatusInfos" style="document" />
-      <wsdl:input>
-        <soap12:body use="literal" />
-      </wsdl:input>
-      <wsdl:output>
-        <soap12:body use="literal" />
-      </wsdl:output>
-    </wsdl:operation>
-    <wsdl:operation name="SetConnection">
-      <soap12:operation soapAction="http://tempuri.org/ISlaveConsoleCommunicator/SetConnection" style="document" />
-      <wsdl:input>
-        <soap12:body use="literal" />
-      </wsdl:input>
-      <wsdl:output>
-        <soap12:body use="literal" />
-      </wsdl:output>
-    </wsdl:operation>
-    <wsdl:operation name="GetCurrentConnection">
-      <soap12:operation soapAction="http://tempuri.org/ISlaveConsoleCommunicator/GetCurrentConnection" style="document" />
       <wsdl:input>
         <soap12:body use="literal" />
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/service.xsd
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/service.xsd	(revision 4987)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/service.xsd	(revision 5000)
@@ -16,28 +16,4 @@
     </xs:complexType>
   </xs:element>
-  <xs:element name="SetConnection">
-    <xs:complexType>
-      <xs:sequence>
-        <xs:element xmlns:q2="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Slave.Core.SlaveConsoleService" minOccurs="0" name="container" nillable="true" type="q2:ConnectionContainer" />
-      </xs:sequence>
-    </xs:complexType>
-  </xs:element>
-  <xs:element name="SetConnectionResponse">
-    <xs:complexType>
-      <xs:sequence />
-    </xs:complexType>
-  </xs:element>
-  <xs:element name="GetCurrentConnection">
-    <xs:complexType>
-      <xs:sequence />
-    </xs:complexType>
-  </xs:element>
-  <xs:element name="GetCurrentConnectionResponse">
-    <xs:complexType>
-      <xs:sequence>
-        <xs:element xmlns:q3="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Slave.Core.SlaveConsoleService" minOccurs="0" name="GetCurrentConnectionResult" nillable="true" type="q3:ConnectionContainer" />
-      </xs:sequence>
-    </xs:complexType>
-  </xs:element>
   <xs:element name="ShutdownClient">
     <xs:complexType>
@@ -53,5 +29,5 @@
     <xs:complexType>
       <xs:sequence>
-        <xs:element xmlns:q4="http://schemas.datacontract.org/2004/07/HeuristicLab.Calendar" minOccurs="0" name="appointments" nillable="true" type="q4:ArrayOfAppointment" />
+        <xs:element xmlns:q2="http://schemas.datacontract.org/2004/07/HeuristicLab.Calendar" minOccurs="0" name="appointments" nillable="true" type="q2:ArrayOfAppointment" />
       </xs:sequence>
     </xs:complexType>
@@ -70,5 +46,5 @@
     <xs:complexType>
       <xs:sequence>
-        <xs:element xmlns:q5="http://schemas.datacontract.org/2004/07/HeuristicLab.Calendar" minOccurs="0" name="GetUptimeCalendarResult" nillable="true" type="q5:ArrayOfAppointment" />
+        <xs:element xmlns:q3="http://schemas.datacontract.org/2004/07/HeuristicLab.Calendar" minOccurs="0" name="GetUptimeCalendarResult" nillable="true" type="q3:ArrayOfAppointment" />
       </xs:sequence>
     </xs:complexType>
@@ -82,5 +58,5 @@
     <xs:complexType>
       <xs:sequence>
-        <xs:element xmlns:q6="http://schemas.microsoft.com/2003/10/Serialization/Arrays" minOccurs="0" name="GetLogMessagesResult" nillable="true" type="q6:ArrayOfstring" />
+        <xs:element xmlns:q4="http://schemas.microsoft.com/2003/10/Serialization/Arrays" minOccurs="0" name="GetLogMessagesResult" nillable="true" type="q4:ArrayOfstring" />
       </xs:sequence>
     </xs:complexType>
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/ConfigManager.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/ConfigManager.cs	(revision 4987)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/ConfigManager.cs	(revision 5000)
@@ -74,23 +74,4 @@
 
     /// <summary>
-    /// Returns the connectioncontainer with the IP and Port, storred in the Settings framework
-    /// </summary>
-    /// <returns>The IP and Port of the server</returns>
-    public ConnectionContainer GetServerIP() {
-      ConnectionContainer cc = new ConnectionContainer();
-      cc.IPAdress = Settings.Default.ServerIP;
-      return cc;
-    }
-
-    /// <summary>
-    /// Sets and saves IP in the Settings framework
-    /// </summary>
-    /// <param name="cc"></param>
-    public void SetServerIP(ConnectionContainer cc) {
-      Settings.Default.ServerIP = cc.IPAdress;
-      Settings.Default.Save();
-    }
-
-    /// <summary>
     /// collects and returns information that get displayed by the Client Console
     /// </summary>
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/UptimeManager.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/UptimeManager.cs	(revision 4987)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/ConfigurationManager/UptimeManager.cs	(revision 5000)
@@ -42,5 +42,5 @@
     public bool CalendarAvailable { get; set; }
 
-    private static String path = System.IO.Directory.GetCurrentDirectory() + "\\plugins\\Hive.Slave.Jobs\\";
+    private static String path = Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "Hive.Slave.Jobs");
 
     private static UptimeManager instance = null;
@@ -64,5 +64,5 @@
       TextWriter w = null;
       try {
-        w = new StreamWriter(path + "calendar.xml");
+        w = new StreamWriter(Path.Combine(path, "calendar.xml"));
         s.Serialize(w, AppContainer);
       }
@@ -82,5 +82,5 @@
 
         try {
-          r = new StreamReader(path + "calendar.xml");
+          r = new StreamReader(Path.Combine(path, "calendar.xml"));
           appContainer = (AppointmentContainer)s.Deserialize(r);
           CalendarAvailable = true;
